Bug 193755 - dos2unix fails with files bigger than 2Gb.
Summary: dos2unix fails with files bigger than 2Gb.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: dos2unix   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 190430
TreeView+ depends on / blocked
 
Reported: 2006-06-01 11:16 UTC by Jose Plans
Modified: 2018-10-19 20:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-06 22:01:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Addition of : "-D_LARGEFILE_SOURCE $(getconf LFS_CFLAGS)" (295 bytes, patch)
2006-06-01 11:16 UTC, Jose Plans
no flags Details | Diff

Description Jose Plans 2006-06-01 11:16:30 UTC
Hi Tim,
 This customer reported the following issue: When using dos2unix against a
plain/text file bigger than 2Gb the command stops at the very begining reporting :

 [root@elyacin home]# ll -h mnt/
 total 2.3G
 drwx------    2 root     root          16K Jun  1 11:15 lost+found
 -rw-r--r--    1 root     root         2.2G Jun  1 11:32 text.txt
 [root@elyacin home]# dos2unix mnt/text.txt
  dos2unix: converting file mnt/text.txt to UNIX format ...
  dos2unix: problems converting file mnt/text.txt

This is fixed by adding in the SPEC file the support for large filesystems.
Jose

Comment 1 Jose Plans 2006-06-01 11:16:31 UTC
Created attachment 130331 [details]
Addition of : "-D_LARGEFILE_SOURCE $(getconf LFS_CFLAGS)"

Comment 4 RHEL Product and Program Management 2007-03-06 22:01:07 UTC
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.